Bug 1413369 - Hawaii desktop qt library mismatch
Summary: Hawaii desktop qt library mismatch
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: hawaii-shell
Version: 25
Hardware: x86_64
OS: Linux
high
high
Target Milestone: ---
Assignee: Pier Luigi Fiorini
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-15 12:39 UTC by stanislav.simko
Modified: 2017-01-27 19:21 UTC (History)
2 users (show)

Fixed In Version: hawaii-shell-0.8.0-4.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-27 19:21:47 UTC
Type: Bug


Attachments (Terms of Use)

Description stanislav.simko 2017-01-15 12:39:41 UTC
Description of problem:
Updating the system (from xfce4 desktop) and installing hawaii desktop environment leads to some mismatch in Qt libraries rendering the hawaii desktop not starting. Hawaii session does not start at all. Error message (obtained from the console login and then running "hawaii-session"):
"Cannot mix incompatible Qt library (version 0x50700) with this library (version 0x5701)


Version-Release number of selected component (if applicable):
0.8.1

How reproducible:
always


Steps to Reproduce:
1. install hawaii desktop ( "dnf install "@*hawaii*")
2. log in to hawaii session

Actual results:
hawaii desktop crashes, not logging in


Expected results:
start hawaii desktop

Additional info:

Comment 1 Pier Luigi Fiorini 2017-01-16 14:17:59 UTC
needs a rebuild

Comment 2 Fedora Update System 2017-01-18 10:58:38 UTC
hawaii-shell-0.8.0-4.fc25 greenisland-0.8.1-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-647d80262b

Comment 3 Fedora Update System 2017-01-19 09:11:16 UTC
greenisland-0.8.1-2.fc25, hawaii-shell-0.8.0-4.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-647d80262b

Comment 4 Fedora Update System 2017-01-27 19:21:47 UTC
greenisland-0.8.1-2.fc25, hawaii-shell-0.8.0-4.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.